fop 1.1

## org.apache.fop.pdf.xref
Class CompressedObjectReference

    java.lang.Object
      org.apache.fop.pdf.xref.CompressedObjectReference

    public class CompressedObjectReference

extends java.lang.Object

A reference to an indirect object stored in an object stream. Contains the relevant information to add to a cross-reference stream.

Constructor Summary
`CompressedObjectReference(int objectNumber, int objectStreamNumber, int index)` Creates a new reference.

Method Summary
`int` `getObjectNumber()`
`int` `getObjectStreamNumber()`
`void` `output(java.io.DataOutputStream out)` Outputs this reference to the given stream, in the cross-reference stream format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompressedObjectReference

    public CompressedObjectReference(int objectNumber,
                                     int objectStreamNumber,
                                     int index)

  Creates a new reference.

  Parameters:
    `objectNumber` - the number of the compressed object being referenced
    `objectStreamNumber` - the number of the object stream in which the compressed object is to be found
    `index` - the index of the compressed object in the object stream

Method Detail

### output

    public void output(java.io.DataOutputStream out)
                throws java.io.IOException

  Outputs this reference to the given stream, in the cross-reference stream format. For example, a object may output the bytes 01 00 00 00 00 00 00 01 ff 00 to indicate a non-compressed object (01), at offset 511 from the beginning of the file (00 00 00 00 00 00 01 ff), of generation number 0 (00).

  Parameters:
    `out` - the stream to which to output the reference
  Throws:
    `java.io.IOException`

### getObjectNumber

    public int getObjectNumber()

### getObjectStreamNumber

    public int getObjectStreamNumber()

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.